Quassel IRC - Bug #1197

Quassel completely drops lines that contain only spaces instead of displaying them

12/02/2012 10:07 PM - rikai

Status: Resolved Start date: 12/02/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.9.0

Version: 0.3.0.x 0S: Any
Description

Simple one to reproduce.

Any messages that are all spaces are not shown at all on Quassel but are on other clients.

The same lines are displayed, though they are oddly split into multiple messages when they are. Probably a separate bug?

Associated revisions

Revision b426e5347d81b8cf1c5f2e2d71ec7bfd984cd517 - 12/10/2012 04:21 PM - Bas Pape

Only chop \r\n instead of trimming all whitespace

Any whitespace in front of the protocol's \r\n is part of the message
and thus should not be trimmed. Fixes #1197

Revision b426e534 - 12/10/2012 04:21 PM - Bas Pape

Only chop \r\n instead of trimming all whitespace

Any whitespace in front of the protocol's \r\n is part of the message
and thus should not be trimmed. Fixes #1197

History

#1 - 12/04/2012 08:16 PM - Anonymous
- Category set to Quassel Core
- Assignee set to Anonymous

- Target version set to Some future release

MR 156

#2 - 12/10/2012 04:46 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset b426e5347d81b8cf1c5f2e2d71ec7bfd984cd5f7.

#3 - 02/20/2013 08:09 PM - Anonymous
- Target version changed from Some future release to 0.9.0

- Version changed from 0.8-pre to 0.3.0.x

Apparently causes some subtle issues because other parts of quassel expect trimmed output and ircds are silly.
